TEMPLATE = lib
TARGET = calendar

QT += widgets

VERSION = 2.8.0

# Disable warnings, enable threading support and c++11
CONFIG  += thread silent build_all c++11 plugin

# Build location
BUILD_PREFIX = $$(CA_BUILD_DIR)
isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-plugins/
OBJECTS_DIR   = $$BUILD_PREFIX/obj-plugins/
RCC_DIR       = $$BUILD_PREFIX/qrc-plugins/
UI_DIR        = $$BUILD_PREFIX/uic-plugins/

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }

        RESOURCE_PATH = $$PREFIX/share/coreapps/resource

        DEFINES += RESOURCE_PATH_TEXT=\"\\\"$${RESOURCE_PATH}\\\"\"
        DEFINES += VERSION_TEXT=\"\\\"$${VERSION}\\\"\"

        data.files = international.txt country.txt
        data.path  = $$RESOURCE_PATH

        INSTALLS += target data
        target.path = $$PREFIX/lib/coreapps/plugins
}

FORMS += \
    wcalendar.ui

HEADERS += \
    calendermanage.h \
    wcalendar.h \

SOURCES += \
    calendermanage.cpp \
    wcalendar.cpp \
